# class ChmodJob | This job changes permissions on a list of files or directories, optionally in a recursive manner. More...
Full name | `KIO::ChmodJob`
Definition | `#include <chmodjob.h>`
Inherits | KIO::Job [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ChmodJob ( const KFileItemList & lstItems, int permissions, int mask, int newOwner, int newGroup, bool recursive, bool showProgressInfo )

#### Protected Methods

- void chmodNextFile ()

#### Protected Slots

- virtual void slotResult ( KIO::Job *job )
- void slotEntries ( KIO::Job * , const KIO::UDSEntryList & )
- void processList ()

## Detailed Description

This job changes permissions on a list of files or directories, optionally in a recursive manner.

ChmodJob ( const KFileItemList & lstItems, int permissions, int mask, int newOwner, int newGroup, bool recursive, bool showProgressInfo ) | ### ChmodJob

void chmodNextFile () | ### chmodNextFile

[protected]

void slotResult ( KIO::Job *job ) | ### slotResult

[protected slots virtual slot]

Reimplemented from Job.

void slotEntries ( KIO::Job * , const KIO::UDSEntryList & ) | ### slotEntries

[protected slots slot]

void processList () | ### processList

[protected slots slot]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.